<?php
/******************************************************************************
 * 
 * menue_function.php
 *   
 * Menuefunktionen fuer das Admidio-Plugin Mitgliedsbeitrag
 * 
 * Copyright    : (c) 2004 - 2012 The Admidio Team
 * Homepage     : http://www.admidio.org
 * License      : GNU Public License 2 http://www.gnu.org/licenses/gpl-2.0.html
 * 
 ****************************************************************************/

// Pfad des Plugins ermitteln 
$plugin_folder_pos = strpos(__FILE__, 'adm_plugins') + 11;
$plugin_file_pos   = strpos(__FILE__, basename(__FILE__));
$plugin_folder     = substr(__FILE__, $plugin_folder_pos+1, $plugin_file_pos-$plugin_folder_pos-2);

if(!defined('PLUGIN_PATH'))
{
    define('PLUGIN_PATH', substr(__FILE__, 0, $plugin_folder_pos));
}

require_once(substr(__FILE__, 0,strpos(__FILE__, 'adm_plugins')-1).'/adm_program/system/common.php');

require_once(SERVER_PATH. '/adm_program/system/login_valid.php');
require_once(SERVER_PATH. '/adm_program/system/classes/table_text.php');

require_once(PLUGIN_PATH. '/'.$plugin_folder.'/common_function.php');
require_once(PLUGIN_PATH. '/'.$plugin_folder.'/dta-export.php');
require_once(PLUGIN_PATH. '/'.$plugin_folder.'/rechnung-export.php');

$config_ini = parse_ini_file('config.ini',true);
  
$_SESSION['organization_request'] = $_REQUEST;

// *******************************************************************************
// Allgemein: Beitragsberechnung 
// *******************************************************************************
           
if (($_POST['neuzuordnung'] == true) && isset($_POST['beitragsberechnung']))
{
    include(PLUGIN_PATH. '/'.$plugin_folder.'/neuzuordnung.php');
}                    

if (($_POST['neuberechnung'] == true) && isset($_POST['beitragsberechnung']))
{
    include(PLUGIN_PATH. '/'.$plugin_folder.'/neuberechnung.php');
}                    

// *******************************************************************************
// Allgemein: Zahlungen 
// *******************************************************************************
  
if ((strlen($_POST['bezahlt']) <> 0)  && (check_date($_POST['bezahlt'],"dmY",".")) && (strlen($_POST['bezahlt_selection']) <> 0) && isset($_POST['zahlungen']))
{
    foreach ($_POST['bezahlt_selection'] as $key => $data)
    {
        $sql = 'INSERT INTO '.TBL_USER_DATA.' (usd_usr_id, usd_usf_id, usd_value)
                VALUES ('.$data.','.$gProfileFields->getProperty('BEZAHLT', 'usf_id').' ,\''.date_german2mysql($_POST['bezahlt']).'\' )';
        $gDb->query($sql); 
    }           
} 

// *******************************************************************************
// Allgemein: DTA-Export 
// *******************************************************************************

if (($_POST['DTA'] <> '') && isset($_POST['dta-export']))
{
    $switch = $_POST['DTA'];
    //   dta_export_erzeugen($_POST['DTA']);
    include(PLUGIN_PATH. '/'.$plugin_folder.'/dta-export.php');
}                    

// *******************************************************************************
// Allgemein: Rechnungs-Export
// *******************************************************************************

if (($_POST['Rechnung'] <> '') && isset($_POST['rechnungs-export'])){
    $switch = $_POST['Rechnung'];
    //   rechnungs_export_erzeugen($_POST['Rechnung']);
    include(PLUGIN_PATH. '/'.$plugin_folder.'/rechnung-export.php');
}

// *******************************************************************************
// Setup: Reset 
// *******************************************************************************

//Beginn Bezahlt-Datum löschen
if (($_POST['delete_bezahlt'] == true) && isset($_POST['reset']))
{
    $sql = 'DELETE FROM '.TBL_USER_DATA.'
            WHERE usd_usf_id = '.$gProfileFields->getProperty('BEZAHLT', 'usf_id');
    $gDb->query($sql);
}                    
//Ende Bezahlt-Datum löschen

//Beginn Beitragstext löschen
if (($_POST['delete_beitragstext'] == true) && isset($_POST['reset']))
{
    $sql = 'DELETE FROM '.TBL_USER_DATA.'
            WHERE usd_usf_id = '.$gProfileFields->getProperty('BEITRAGSTEXT', 'usf_id');
    $gDb->query($sql);
}                    
//Ende Beitragstext löschen

//Beginn Beitrag löschen
if (($_POST['delete_beitrag'] == true) && isset($_POST['reset']))
{
    $sql = 'DELETE FROM '.TBL_USER_DATA.'
            WHERE usd_usf_id = '.$gProfileFields->getProperty('BEITRAG', 'usf_id');
    $gDb->query($sql);
}                    
//Ende Beitrag löschen

// *******************************************************************************
// Setup: Beitragseinstellungen
// *******************************************************************************

if( isset($_POST['beitragseinstellungen']))
{
    $config_ini['Beitrag']['beitrag_prefix'] = $_POST['beitrag_prefix'];
    $config_ini['Beitrag']['beitrag_suffix'] = $_POST['beitrag_suffix'];
    $config_ini['Beitrag']['beitrag_anteilig'] = $_POST['beitrag_anteilig'];
    $config_ini['Beitrag']['beitrag_abrunden'] = $_POST['beitrag_abrunden'];
    if (is_numeric($_POST['beitrag_mindestbetrag']))
    {
        $config_ini['Beitrag']['beitrag_mindestbetrag'] = $_POST['beitrag_mindestbetrag'];
    }
    else
    {
        $config_ini['Beitrag']['beitrag_mindestbetrag'] = 0;
    }
    write_config_ini();
}

// *******************************************************************************
// Setup: Altersgestaffelte Rollen
// *******************************************************************************

if( isset($_POST['altersrollen']))
{
    if(check_date($_POST['altersrollen_stichtag'],"dmY","."))
    {
        $config_ini['Altersrollen']['altersrollen_stichtag'] = $_POST['altersrollen_stichtag'];   
    }
    $config_ini['Altersrollen']['altersrollen_token'] = $_POST['altersrollen_token'];
    write_config_ini();
}

// *******************************************************************************
// Setup: Familienrollen
// *******************************************************************************

if( isset($_POST['familienrollen']))
{
    //Beginn Familienbeitrag schreiben    
    $beitrag_aktuell = array(); 
    // zuerst alle Familienrollen herausfinden 
    $sql = 'SELECT rol_name, rol_id, rol_cost, rol_cost_period
            FROM '.TBL_ROLES.' 
            WHERE rol_name 
            LIKE \''. $_POST['familienrollen_prefix'].'%'. '\' ';
                                
    $result = $gDb->query($sql);

    // jetzt den neuen Betrag und Beitragszeitraum in die DB schreiben
    while ($row = $gDb->fetch_array($result))
    {
        $sql = 'UPDATE '.TBL_ROLES.'
                SET rol_cost = \''.$_POST['familienrollen_beitrag'].'\'
                WHERE rol_id = \''.$row['rol_id'].'\' '; 
           
        $gDb->query($sql);
 
        $sql = 'UPDATE '.TBL_ROLES.'
            SET rol_cost_period = \''.$_POST['familienrollen_zeitraum'].'\'
            WHERE rol_id = \''.$row['rol_id'].'\' '; 
           
        $gDb->query($sql); 
     
        $sql = 'UPDATE '.TBL_ROLES.'
                SET rol_description = \''.$_POST['familienrollen_beschreibung'].'\'
                WHERE rol_id = \''.$row['rol_id'].'\' '; 
           
        $gDb->query($sql); 
    }
    // Ende Familienbeitrag und Familienbeitragszeitraum schreiben

    $config_ini['Familienrollen']['familienrollen_prefix'] = $_POST['familienrollen_prefix'];
    $config_ini['Familienrollen']['familienrollen_beitrag'] = $_POST['familienrollen_beitrag'];
    $config_ini['Familienrollen']['familienrollen_zeitraum'] = $_POST['familienrollen_zeitraum'];
    $config_ini['Familienrollen']['familienrollen_beschreibung'] = $_POST['familienrollen_beschreibung'];  
    write_config_ini();  
}

// *******************************************************************************
// Setup: DTA-Export
// *******************************************************************************

if( isset($_POST['dta-export-setup']))
{
    $config_ini['DTA-Export']['target_ktonr'] = $_POST['target_ktonr'];
    $config_ini['DTA-Export']['target_blz'] =  $_POST['target_blz'];
    $config_ini['DTA-Export']['target_bank'] = $_POST['target_bank'];
    $config_ini['DTA-Export']['target_inhaber'] =  $_POST['target_inhaber']; 
    $config_ini['DTA-Export']['dta_dateiname'] = $_POST['dta_dateiname'];     
    write_config_ini();
}

// *******************************************************************************
// Setup: Rollenprüfung
// *******************************************************************************

if( isset($_POST['rollenpruefung']))
{
    $config_ini['Rollenpruefung']['familienrollen_bis_alter'] = $_POST['familienrollen_bis_alter'];
    $config_ini['Rollenpruefung']['familienrollen_min_member'] = $_POST['familienrollen_min_member'];
    $config_ini['Rollenpruefung']['familienrollen_min18_member'] = $_POST['familienrollen_min18_member'];
    $config_ini['Rollenpruefung']['familienrollen_max18_member'] = $_POST['familienrollen_max18_member'];
    $config_ini['Rollenpruefung']['altersrollenfamilienrollen'] = $_POST['altersrollenfamilienrollen'];
    
    // zuerst die Arrays in $config_ini löschen
    unset ($config_ini['Rollenpruefung']['fixrollenpflicht']);
    unset ($config_ini['Rollenpruefung']['altersrollenfix']) ;
    unset ($config_ini['Rollenpruefung']['familienrollenfix']);
    
    //aus dem übergebenen $_POST die Rollen herausfiltern
    foreach($_POST as $key => $data)
    {
         if (substr($key,0,16)=='fixrollenpflicht')
        {
            $fixrollenpflicht[] = substr($key,16);
        }
        if (substr($key,0,15)=='altersrollenfix')
        {
            $altersrollenfix[] = substr($key,15);
        }
        if (substr($key,0,17)=='familienrollenfix')
        {
            $familienrollenfix[] = substr($key,17);
        }     
    } 
    $config_ini['Rollenpruefung']['altersrollenpflicht'] = $_POST['altersrollenpflicht'] ;
    $config_ini['Rollenpruefung']['familienrollenpflicht'] = $_POST['familienrollenpflicht'] ;
    $config_ini['Rollenpruefung']['fixrollenpflicht'] = $fixrollenpflicht ;
    $config_ini['Rollenpruefung']['altersrollenfamilienrollen'] = $_POST['altersrollenfamilienrollen'] ;
    $config_ini['Rollenpruefung']['familienrollenfix'] = $familienrollenfix ;
    $config_ini['Rollenpruefung']['altersrollenfix'] = $altersrollenfix ;
    write_config_ini();
}

// *******************************************************************************
// Setup: Pluginfreigabe
// *******************************************************************************

if( isset($_POST['pluginfreigabe']))
{
    unset($config_ini['Pluginfreigabe']);
    $config_ini['Pluginfreigabe']['freigabe'] = $_POST['freigabe'];
    write_config_ini();
}

// zur Ausgangsseite zurueck
$gMessage->setForwardUrl($_SESSION['navigation']->getUrl(), 2000);
$gMessage->show($gL10n->get('SYS_SAVE_DATA'));
?>