<?php
/******************************************************************************
* 
* mitgliedsbeitrag_show.php
*   
* Erzeugt das Menue fuer das Admidio-Plugin Mitgliedsbeitrag
* 
* Copyright    : (c) 2004 - 2012 The Admidio Team
* Homepage     : http://www.admidio.org
* License      : GNU Public License 2 http://www.gnu.org/licenses/gpl-2.0.html
*
****************************************************************************/

// Pfad des Plugins ermitteln
$plugin_folder_pos = strpos(__FILE__, 'adm_plugins') + 11;
$plugin_file_pos   = strpos(__FILE__, basename(__FILE__));
$plugin_folder     = substr(__FILE__, $plugin_folder_pos+1, $plugin_file_pos-$plugin_folder_pos-2);

if(!defined('PLUGIN_PATH'))
{
    define('PLUGIN_PATH', substr(__FILE__, 0, $plugin_folder_pos));
}

require_once(substr(__FILE__, 0,strpos(__FILE__, 'adm_plugins')-1).'/adm_program/system/common.php');

require_once(SERVER_PATH. '/adm_program/system/login_valid.php');
require_once(SERVER_PATH. '/adm_program/system/classes/form_elements.php');
require_once(SERVER_PATH. '/adm_program/system/classes/table_text.php');

require_once(PLUGIN_PATH. '/'.$plugin_folder.'/common_function.php');
require_once(PLUGIN_PATH. '/'.$plugin_folder.'/version.php');

$showPlugin = check_showplugin();

// Der User ist berechtigt
if($showPlugin)
{
    //prüfen, ob ein Update stattgefunden hat und ggf. die Installroutine aufrufen
    if($config_ini['Plugininformationen']['plgin_mb_version']<>PLUGIN_MB_VERSION)
    {
        require_once(PLUGIN_PATH. '/'.$plugin_folder.'/install.php');
    } 

    // DB auf Admidio setzen, da evtl. noch andere DBs beim User laufen
    $gDb->setCurrentDB();

    // Navigation faengt hier im Modul an
    $_SESSION['navigation']->clear();
    $_SESSION['navigation']->addUrl(CURRENT_URL);

    $html_icon_warning = '<img class="iconHelpLink" src="'.THEME_PATH.'/icons/warning.png" alt="'.$gL10n->get('SYS_WARNING').'" />';

    // zusaetzliche Daten fuer den Html-Kopf setzen
    $gLayout['title']  = 'Mitgliedsbeitrag';
    $gLayout['header'] =  '
        <script type="text/javascript" src="'.$g_root_path.'/adm_plugins/'.$plugin_folder.'/mitgliedsbeitrag_show.js" ></script>
        <script type="text/javascript" src="'.$g_root_path.'/adm_program/libs/jquery/jquery.ui.core.js" ></script>
        <script type="text/javascript" src="'.$g_root_path.'/adm_program/libs/jquery/jquery.ui.widget.js" ></script>
        <script type="text/javascript" src="'.$g_root_path.'/adm_program/libs/jquery/jquery.ui.tabs.js" ></script>		
        <script type="text/javascript" src="'.$g_root_path.'/adm_program/libs/jquery/jquery.ui.accordion.js" ></script>
        <script type="text/javascript" src="'.$g_root_path.'/adm_program/libs/jquery/jquery.ui.scrollTo.js" ></script>
        <script type="text/javascript" src="'.$g_root_path.'/adm_program/libs/calendar/calendar-popup.js"></script>
        <script type="text/javascript" src="'.$g_root_path.'/adm_program/system/js/date-functions.js"></script>
        <link rel="stylesheet" href="'.THEME_PATH.'/css/calendar.css" type="text/css" />
        <script type="text/javascript"><!--
        var mitgliedsbeitrag_showJS = new mitgliedsbeitrag_showClass();
        $(document).ready(function()
            {mitgliedsbeitrag_showJS.init();
        });
        //--></script>
        <link rel="stylesheet" type="text/css" href="'.THEME_PATH.'/css/jquery.css">';

    // Html-Kopf ausgeben
    require(SERVER_PATH. '/adm_program/system/overall_header.php');

    echo '<h1 class="moduleHeadline">Mitgliedsbeitrag</h1>

    <div class="formLayout" id="admOrganizationMenu">
        <div class="formBody">
            <form action="'.$g_root_path.'/adm_plugins/'.$plugin_folder.'/menue_function.php" method="post">
                <div id="tabs">
                    <ul>
                        <li><a href="#tabs-common">Allgemein</a></li>
                        <li><a href="#tabs-setup">Setup</a></li>
                    </ul>
                    <div id="tabs-common">
                        <div id="accordion-common">';
            
                            /**************************************************************************************/
                            // Beitragsberechnung durchführen
                            /**************************************************************************************/

                            echo '<h3 id="Beitragsberechnung" class="iconTextLink" >
                                <a href="#"><img src="'.THEME_PATH.'/icons/edit.png" alt="Beitragsberechnung" title="Beitragsberechnung" /></a>
                                <a href="#">Beitragsberechnung</a>
                            </h3>
                            <div class="groupBoxBody" style="display: none;">
                                <ul class="formFieldList">
                                    <li>
                                        <dl>
                                            <dt><label for="Neuberechnung">Neuberechnung:</label></dt>
                                            <dd><input type="checkbox" id="neuberechnung" name="neuberechnung" value="1" /></dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Das Markieren dieser Checkbox bewirkt, dass bei Mitgliedern, bei denen kein Bezahlt-Datum gesetzt ist, die Beiträge neu berechnet und in die Datenbank geschrieben werden.</li>
                                    <li>
                                        <dl>
                                            <dt><label for="Neuzuordnung">Neuzuordnung altersgestaffelte Rollen:</label></dt>
                                            <dd><input type="checkbox" id="neuzuordnung" name="neuzuordnung" value="1" /></dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Das Markieren dieser Checkbox bewirkt, dass alle Mitglieder altersgestaffelter Rollen neu zugeordnet werden. Eine Neuzuordnung sollte immer gleichzeitig mit einer Neuberechnung erfolgen.</li>
                                </ul>
                                <br>
                                <div class="formSubmit">	
                                    <button id="btnSave" type="submit" name="beitragsberechnung"><img src="'. THEME_PATH. '/icons/disk.png" alt="'.$gL10n->get('SYS_SAVE').'" />&nbsp;'.$gL10n->get('SYS_SAVE').'</button>
                                </div>
                            </div>';

                            /**************************************************************************************/
                            // Beitragsanalyse
                            /**************************************************************************************/		

                            echo '<h3 id="Beitragsanalyse" class="iconTextLink" >
                                <a href="#"><img src="'.THEME_PATH.'/icons/info.png" alt="Beitragsanalyse" title="Beitragsanalyse" /></a>
                                <a href="#">Beitragsanalyse</a>
                            </h3>
                            <div class="groupBoxBody" style="display: none;">
                                <ul class="formFieldList">
                                    <li><strong>Beiträge der Mitglieder</strong></li>
                                    <BR><BR>';
                                    $beitrag = analyse_mem();
                                    echo '
                                    <table border="0">
                                        <tr>
                                            <th>&#160;</th>
                                            <th colspan="2" align = "center">Konto</th>
                                            <th colspan="2" align = "center">Rechnung</th>
                                            <th colspan="2" align = "center">Summe</th>
                                        </tr>
                                        <tr>
                                            <td>&#160;</td>';
                                            for ($i=0;$i<3;$i++)
                                            {
                                                echo '<td align = "right">Beitrag</td>
                                                <td align = "right">Posten</td> ';
                                            }    
                                            echo'       
                                        </tr>
                                        <tr>
                                            <td>Beiträge</td>
                                            <td  align = "right">'. $beitrag['BEITRAG_kto'].' '.$gPreferences['system_currency'].'</td>
                                            <td  align = "right">'. $beitrag['BEITRAG_kto_anzahl'].'</td>
                                            <td  align = "right">'. $beitrag['BEITRAG_rech'].' '.$gPreferences['system_currency'].'</td>
                                            <td  align = "right">'. $beitrag['BEITRAG_rech_anzahl'].'</td>
                                            <td  align = "right">'.($beitrag['BEITRAG_kto']+$beitrag['BEITRAG_rech']).' '.$gPreferences['system_currency'].'</td>
                                            <td  align = "right">'.($beitrag['BEITRAG_kto_anzahl']+$beitrag['BEITRAG_rech_anzahl']).'</td>
                                        </tr>
                                        <tr>
                                            <td>bereits bezahlt</td>
                                            <td  align = "right">'. $beitrag['BEZAHLT_kto'].' '.$gPreferences['system_currency'].'</td>
                                            <td  align = "right">'. $beitrag['BEZAHLT_kto_anzahl'].'</td>
                                            <td  align = "right">'. $beitrag['BEZAHLT_rech'].' '.$gPreferences['system_currency'].'</td>
                                            <td  align = "right">'. $beitrag['BEZAHLT_rech_anzahl'].'</td>
                                            <td  align = "right">'.($beitrag['BEZAHLT_kto']+$beitrag['BEZAHLT_rech']).' '.$gPreferences['system_currency'].'</td>
                                            <td  align = "right">'.($beitrag['BEZAHLT_kto_anzahl']+$beitrag['BEZAHLT_rech_anzahl']).'</td>
                                        </tr>
                                        <tr>
                                            <td>noch ausstehend</td>
                                            <td  align = "right">'. ($beitrag['BEITRAG_kto']-$beitrag['BEZAHLT_kto']).' '.$gPreferences['system_currency'].'</td>
                                            <td  align = "right">'. ($beitrag['BEITRAG_kto_anzahl']-$beitrag['BEZAHLT_kto_anzahl']).'</td>
                                            <td  align = "right">'. ($beitrag['BEITRAG_rech']-$beitrag['BEZAHLT_rech']).' '.$gPreferences['system_currency'].'</td>
                                            <td  align = "right">'. ($beitrag['BEITRAG_rech_anzahl']-$beitrag['BEZAHLT_rech_anzahl']).'</td>
                                            <td  align = "right">'.(($beitrag['BEITRAG_kto']+$beitrag['BEITRAG_rech'])-($beitrag['BEZAHLT_kto']+$beitrag['BEZAHLT_rech'])).' '.$gPreferences['system_currency'].'</td>
                                            <td  align = "right">'.(($beitrag['BEITRAG_kto_anzahl']+$beitrag['BEITRAG_rech_anzahl'])-($beitrag['BEZAHLT_kto_anzahl']+$beitrag['BEZAHLT_rech_anzahl'])).'</td>
                                        </tr>
                                    </table>
                                    <BR>
                                    <li class="smallFontSize"><strong>Hinweis:</strong> Grundlage dieser Daten sind die Kontodaten sowie die Einträge Beitrag und Bezahlt der zahlungspflichtigen Mitglieder.</li> 					
                                    <HR>
                                    <li><strong>Beiträge der Beitragsrollen</strong></li>
                                    <BR><BR> ';
                                    $rollen = analyse_rol() ;
                                    echo '<div style="width:100%; height:150px; overflow:auto; border:0px;">
                                        <table border="0">
                                            <tr>
                                                <th>Rolle</th>
                                                <th align = "right">Beitrag</th>
                                                <th align = "right">Anzahl</th>
                                                <th align = "right">Summe</th>
                                            </tr>';
                                            foreach ($rollen as $rol => $roldata )
                                            {
                                                echo '<tr>
                                                    <td>'.$roldata['rolle'].'</td>
                                                    <td align = "right">'.$roldata['rol_cost'].' '.$gPreferences['system_currency'].'</td>
                                                    <td align = "right">'.sizeof($roldata['members']).'</td>
                                                    <td align = "right">'.($roldata['rol_cost']*sizeof($roldata['members'])).' '.$gPreferences['system_currency'].'</td>
                                                </tr>';
                                                $sum += ($roldata['rol_cost']*sizeof($roldata['members']));
                                            } 
                                            echo'<tr>
                                                <td>&#160;</td>
                                            </tr>
                                            <tr>
                                                <td>Gesamtsumme</td>
                                                <td>&#160;</td>
                                                <td>&#160;</td>
                                                <td align = "right">'.$sum.' '.$gPreferences['system_currency'].'</td>
                                            </tr>
                                        </table>
                                    </div>
                                    <BR>
                                    <li class="smallFontSize"><strong>Hinweis:</strong> Grundlage dieser Daten sind die Einträge im Setup, nicht die Einträge der einzelnen Rollen in der Datenbank. Manuelle Änderungen von Beiträgen einzelner Rollen oder anteilige Beiträge werden nicht berücksichtigt. Dies kann daher nur als Prognose angesehen werden.
                                    </li>
                                </ul>
                                <br>
                            </div>';              

                            /**************************************************************************************/
                            // Zahlungen
                            /**************************************************************************************/

                            echo '<h3 id="Zahlungen" class="iconTextLink" >
                                <a href="#"><img src="'.THEME_PATH.'/icons/edit.png" alt="Zahlungen" title="Zahlungen" /></a>
                                <a href="#">Zahlungen</a>
                            </h3>
                            <div class="groupBoxBody" style="display: none;">
                                <ul class="formFieldList"> ';
                                    $width = '80px';
                                    $maxlength = '10';
                                    $bezahlt = '';

                                    $value = '<script type="text/javascript">
                                        var calDate = new CalendarPopup("calendardiv");
                                        calDate.setCssPrefix("calendar");
                                        calDate.showNavigationDropdowns();
                                        calDate.setYearSelectStartOffset(50);
                                        calDate.offsetX = -220;
                                        calDate.offsetY = -450;
                                        calDate.setYearSelectEndOffset(10);
                                    </script>';

                                    $value .= '
                                        <input type="text" id="bezahlt" name="bezahlt" style="width: 80px;" maxlength="10" value="'. $bezahlt. '" />
                                        <a class="iconLink" id="anchor_bezahlt" href="javascript:calDate.select(document.getElementById(\'bezahlt\'),\'anchor_bezahlt\',\''.$gPreferences['system_date'].'\');"><img 
                                        src="'. THEME_PATH. '/icons/calendar.png" alt="'.$gL10n->get('SYS_SHOW_CALENDAR').'" title="'.$gL10n->get('SYS_SHOW_CALENDAR').'" /></a>
                                        <span id="calendardiv" style="position: absolute; visibility: hidden;"></span>';
                                    echo '<li>
                                        <dl>
                                            <dt><label for="bezahlt">Bezahlt:</label></dt>
                                            <dd>'. $value.  '</dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Das Datum wird als Bezahlt-Markierung in die Datenbank geschrieben.</li> 
                                    <BR>
                                    <li>
                                        <dl>
                                            <dt><label>Selektion:</label></dt>
                                            <dd>
                                                <select name="bezahlt_selection[]" size="10" multiple>';                     

                                                $members = list_members(array('FIRST_NAME','LAST_NAME','BEITRAG'), 0);

                                                //zusätzlichen Parameter für die Funktion delete_NULL erzeugen
                                                $delete_NULL_field = 'BEITRAG';

                                                //alle Mitglieder, bei denen kein Beitrag gesetzt ist, herausfiltern
                                                $members = array_filter($members, 'delete_NULL');

                                                // Nachname und Vorname zusammensetzen
                                                foreach ($members as $key => $data)
                                                {
                                                    $members[$key] = $data['LAST_NAME'].', '.$data['FIRST_NAME'] ;                                
                                                } 
                                                // zur besseren Anzeige sortieren
                                                asort ($members);

                                                // eine Liste aller Mitglieder, die bezahlt haben, erzeugen
                                                $members_bezahlt = list_members(array('BEZAHLT'), 0);

                                                //zusätzlichen Parameter für die Funktion delete_NULL erzeugen
                                                $delete_NULL_field = 'BEZAHLT';

                                                //alle Mitglieder, bei denen kein Bezahlt-Datum gesetzt ist, herausfiltern
                                                $members_bezahlt = array_filter($members_bezahlt, 'delete_NULL');

                                                // Die Anzeige zusammensetzen (selected/disabled)                           
                                                foreach($members as $key => $data)
                                                {
                                                    echo '<option value='.$key;
                                                    if(array_key_exists($key,$members_bezahlt)==false)
                                                    {
                                                        echo ' selected="selected" ';	
                                                    } 
                                                    else
                                                    {
                                                        echo ' disabled="disabled" ';	
                                                    }	
                                                    echo '>'.$data.'</option>';	
                                                }
                                                echo '</select>              
                                            </dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Angezeigt und bereits vorselektiert werden alle Mitglieder, bei denen noch kein Bezahlt-Datum gesetzt ist. In Verbindung mit der STRG-Taste können einzelne Mitglieder abgewählt werden. Mitglieder, bei denen bereits ein Bezahlt-Datum gesetzt ist, sind deaktiviert. Nur wenn beide Felder (Bezahlt und Selektion) befüllt sind, wird in die Datenbank geschrieben.</li> 					
                                </ul>
                                <br>
                                <div class="formSubmit">	
                                    <button id="btnSave" type="submit" name="zahlungen"><img src="'. THEME_PATH. '/icons/disk.png" alt="'.$gL10n->get('SYS_SAVE').'" />&nbsp;'.$gL10n->get('SYS_SAVE').'</button>
                                </div>
                            </div>';

                            /**************************************************************************************/
                            // DTA-Export
                            /**************************************************************************************/

                            echo '<h3 id="DTA-Export" class="iconTextLink" >
                                <a href="#"><img src="'.THEME_PATH.'/icons/download.png" alt="DTA-Export" title="DTA-Export" /></a>
                                <a href="#">DTA-Export</a>
                            </h3>
                            <div class="groupBoxBody" style="display: none;">
                                <ul class="formFieldList">
                                    <li>
                                        <dl>
                                            <dt><label for="Datenträgeraustauschdatei">Datenträgeraustauschdatei:</label></dt>
                                            <dd>
                                                <input type="radio" name="DTA" value="dta-datei" />
                                            </dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Das Markieren des Radio-Buttons bewirkt, dass eine Datenträgeraustauschdatei erstellt wird.</li>
                                    <li>
                                        <dl>
                                            <dt><label for="Begleitzettel">Begleitzettel:</label></dt>
                                            <dd>
                                                <input type="radio"  name="DTA" value="dta-begleitzettel" />
                                            </dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Das Markieren des Radio-Buttons bewirkt, dass ein Begleitzettel zur Datenträgeraustauschdatei erstellt wird.</li>
                                </ul>
                                <br>
                                <div class="formSubmit">	
                                    <button id="btnSave" type="submit" name="dta-export"><img src="'. THEME_PATH. '/icons/disk.png" alt="'.$gL10n->get('SYS_SAVE').'" />&nbsp;'.$gL10n->get('SYS_SAVE').'</button>
                                </div>
                            </div>';
//##############################################################################################

         /**************************************************************************************/
                            // Rechnungs-Export
                            /**************************************************************************************/
/**/
                            echo '<h3 id="Rechnungs-Export" class="iconTextLink" >
                                <a href="#"><img src="'.THEME_PATH.'/icons/download.png" alt="Rechnungs-Export" title="Rechnungs-Export" /></a>
                                <a href="#">Rechnungs-Export</a>
                            </h3>
                            <div class="groupBoxBody" style="display: none;">
                                <ul class="formFieldList">
                                    <li>
                                        <dl>
                                            <dt><label for="Rechnungsdatei">Rechnungsdatei erzeugen</label></dt>
                                            <dd>
                                                <input type="hidden" name="Rechnung" value="rechnungs-datei" />
                                            </dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize"><br>Es wird eine Rechnungsdatei im CSV-Format erstellt.</li>
                                </ul>
                                <br>
                                <div class="formSubmit">
                                    <button id="btnSave" type="submit" name="rechnungs-export"><img src="'. THEME_PATH. '/icons/disk.png" alt="'.$gL10n->get('SYS_SAVE').'" />&nbsp;'.$gL10n->get('SYS_SAVE').'</button>
                                </div>
                            </div>';



//##############################################################################################

                            /**************************************************************************************/
                            // Rollenpruefung
                            /**************************************************************************************/

                            echo '<h3 id="Check-It" class="iconTextLink" >
                                <a href="#"><img src="'.THEME_PATH.'/icons/info.png" alt="Rollenprüfung" title="Rollenprüfung" /></a>
                                <a href="#">Rollenprüfung</a>
                            </h3>
                            <div class="groupBoxBody" style="display: none;">
                                <ul class="formFieldList">
                                    <li>
                                        <dl>
                                            <dt><label for="Altersgestaffelte Rollen">Altersgestaffelte Rollen:</label></dt>
                                            <dd><label for="">';
                                                foreach (check_rols() as $data )
                                                {
                                                    echo ' '.$data.'<BR> ';
                                                } 
                                                echo'</label>
                                            </dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Überprüfung der altersgestaffelten Rollen, auf Lücken oder Überlappungen in den Altersvorgaben.</li> 									
                                    <HR>
                                    <li>
                                        <dl>
                                            <dt><label for="Rollenmitgliedschaft-Pflicht">Rollenmitgliedschaft (Pflicht):</label></dt> 
                                            <dd><label for="">';
                                                foreach (check_rollenmitgliedschaft_pflicht() as $data )
                                                {
                                                    echo ' '.$data.'<BR> ';
                                                } 
                                                echo'</label>
                                            </dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Überprüfung auf Pflicht-Rollenmitgliedschaften.</li>
                                    <HR>
                                    <li>
                                        <dl>
                                            <dt><label for="Rollenmitgliedschaft-Ausschluss">Rollenmitgliedschaft (Ausschluss):</label></dt> 
                                            <dd><label for="">';
                                                foreach (check_rollenmitgliedschaft_ausschluss() as $data )
                                                {
                                                    echo ' '.$data.'<BR> ';
                                                } 
                                                echo'</label>
                                            </dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Überprüfung auf doppelte Mitgliedschaften in Ausschluss-Rollen.</li>  
                                    <HR>
                                    <li>
                                        <dl>
                                            <dt><label for="Mindestanzahl von Familienmitgliedern">Mindestanzahl von Familienmitgliedern:</label></dt>
                                            <dd><label for="">';
                                                foreach (check_fam_members_anzahl() as $data )
                                                {
                                                    echo ' '.$data.'<BR> ';
                                                } 
                                             echo'</label>
                                            </dd>	
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Überprüfung der Familienrollen auf die im Setup angegebene Mindestanzahl an Mitgliedern.</li> 									
                                    <HR>
                                    <li>
                                        <dl>
                                            <dt><label for="Anzahl der Erwachsenen in Familien">Anzahl der Erwachsenen in Familien:</label></dt>
                                            <dd><label for="">';
                                                foreach (check_fam_members_erw() as $data )
                                                {
                                                    echo ' '.$data.'<BR> ';
                                                } 
                                                echo'</label>
                                            </dd>	
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Überprüfung der Familienrollen auf die im Setup angegebene Min- bzw Max-Anzahl an Erwachsenen.</li> 									
                                    <HR>
                                    <li>
                                        <dl>
                                            <dt><label for="Anzahl der Senioren in Familien">Anzahl der Senioren in Familien:</label></dt>
                                            <dd><label for="">';
                                                foreach (check_fam_members_sen() as $data )
                                                {
                                                    echo ' '.$data.'<BR> ';
                                                } 
                                                echo'</label>
                                            </dd>	
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Überprüfung der Familienrollen auf die im Setup angegebene Anzahl an Senioren.</li> 									
                                </ul>
                                <br>				
                            </div>';

                            /**************************************************************************************/
                            // Rollenübersicht
                            /**************************************************************************************/

                            echo '<h3 id="Rollenübersicht" class="iconTextLink" >
                                <a href="#"><img src="'.THEME_PATH.'/icons/info.png" alt="Rollenübersicht" title="Rollenübersicht" /></a>
                                <a href="#">Rollenübersicht</a>
                            </h3>
                            <div class="groupBoxBody" style="display: none;">  
                                <li><strong>Altersgestaffelte Rollen:</strong></li>
                                <BR>';
                                $rollen = beitragsrollen_einlesen('alt',array('LAST_NAME'));
                                if (sizeof($rollen)>0)
                                {
                                    echo'<div style="width:100%; height:100px; overflow:auto; border:0px;">
                                        <table border="0">
                                            <tr>
                                                <td>Rollenname</td>
                                                <td align="center">Anzahl der Mitglieder</td>
                                            </tr>';
                                            foreach ($rollen as $data )
                                            {
                                                echo '<tr>
                                                    <td>'.$data['rolle'].'</td>
                                                    <td align="center">'.sizeof($data['members']).'</td>
                                                </tr>';
                                            }
                                        echo '</table>
                                    </div> ';
                                }
                                else
                                {
                                    echo 'keine Rollen vorhanden<BR>';
                                }
                                echo'					
                                <BR>
                                <li><strong>Familienrollen:</strong></li>
                                <BR>';
                                $rollen = beitragsrollen_einlesen('fam',array('LAST_NAME'));
                                if (sizeof($rollen)>0)
                                {
                                    echo'<div style="width:100%; height:100px; overflow:auto; border:0px;">
                                        <table border="0">
                                            <tr>
                                                <td>Rollenname</td>
                                                <td align="center">Anzahl der Mitglieder</td>
                                            </tr>';
                                            foreach ($rollen as $data )
                                            {
                                                echo '<tr>
                                                    <td>'.$data['rolle'].'</td>
                                                    <td align="center">'.sizeof($data['members']).'</td>
                                                </tr>';
                                            }
                                        echo '</table>
                                    </div> ';
                                }
                                else
                                {
                                    echo 'keine Rollen vorhanden<BR>';
                                }
                                echo'					
                                <BR>
                                <li><strong>Sonstige Beitragsrollen:</strong></li>
                                <BR>';
                                $rollen = beitragsrollen_einlesen('fix',array('LAST_NAME'));
                                if (sizeof($rollen)>0)
                                {
                                    echo'<div style="width:100%; height:100px; overflow:auto; border:0px;">
                                        <table border="0">
                                            <tr>
                                                <td>Rollenname</td>
                                                <td align="center">Anzahl der Mitglieder</td>
                                            </tr>';
                                            foreach ($rollen as $data )
                                            {
                                                echo '<tr>
                                                    <td>'.$data['rolle'].'</td>
                                                    <td align="center">'.sizeof($data['members']).'</td>
                                                </tr>';
                                            }
                                        echo '</table>
                                    </div> ';
                                }
                                else
                                {
                                    echo 'keine Rollen vorhanden<BR>';
                                }
                                echo'
                            </div>';
                            
                        // ENDE accordion-common
                        echo'</div>              
                    </div>                         

                    <div id="tabs-setup">
                        <div id="accordion-setup">';

                            /**************************************************************************************/
                            // Reset
                            /**************************************************************************************/

                            echo '<h3 id="Reset" class="iconTextLink" >
                                <a href="#"><img src="'.THEME_PATH.'/icons/options.png" alt="Reset" title="Reset" /></a>
                                <a href="#">Reset</a>
                            </h3>
                            <div class="groupBoxBody" style="display: none;">
                                <ul class="formFieldList">  
                                    <li>
                                        <dl>
                                            <dt><label for="delete_beitrag">Beiträge entfernen:</label></dt>
                                            <dd>
                                                <input type="checkbox" id="delete_beitrag" name="delete_beitrag" value="1" />
                                            </dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Das Markieren dieser Checkbox bewirkt, dass alle Beiträge in der Datenbank gelöscht werden.</li>
                                    <li>
                                        <dl>
                                            <dt><label for="delete_beitragstext">Beitragstexte entfernen:</label></dt>
                                            <dd>
                                                <input type="checkbox" id="delete_beitragstext" name="delete_beitragstext" value="1" />
                                            </dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Das Markieren dieser Checkbox bewirkt, dass alle Beitragstexte in der Datenbank gelöscht werden.</li>
                                    <li>
                                        <dl>
                                            <dt><label for="delete_bezahlt">Bezahlt entfernen:</label></dt>
                                            <dd>
                                                <input type="checkbox" id="delete_bezahlt" name="delete_bezahlt" value="1" />
                                            </dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Das Markieren dieser Checkbox bewirkt, dass alle Bezahlt-Markierungen in der Datenbank gelöscht werden.</li>
                                </ul>
                                <br>
                                <div class="formSubmit">	
                                    <button id="btnSave" type="submit" name="reset"><img src="'. THEME_PATH. '/icons/disk.png" alt="'.$gL10n->get('SYS_SAVE').'" />&nbsp;'.$gL10n->get('SYS_SAVE').'</button>
                                </div>
                            </div>';

                            /**************************************************************************************/
                            // Beitragseinstellungen
                            /**************************************************************************************/

                            echo '<h3 id="Beitragseinstellungen" class="iconTextLink" >
                                <a href="#"><img src="'.THEME_PATH.'/icons/options.png" alt="Beitragseinstellungen" title="Beitragseinstellungen" /></a>
                                <a href="#">Beitragseinstellungen</a>
                            </h3>
                            <div class="groupBoxBody" style="display: none;">
                                <ul class="formFieldList">  
                                    <li>
                                        <dl>
                                            <dt><label for="beitrag_prefix">Präfix:</label></dt>
                                            <dd><input type="text" id="beitrag_prefix" name="beitrag_prefix" style="width: 200px;" maxlength="60" value="'. $config_ini['Beitrag']['beitrag_prefix']. '" /></dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Dem Beitragstext kann ein Präfix vorangestellt werden.</li>
                                    <BR>
                                    <li>
                                        <dl>
                                            <dt><label for="beitrag_suffix">Suffix:</label></dt>
                                            <dd><input type="text" id="beitrag_suffix" name="beitrag_suffix" style="width: 200px;" maxlength="60" value="'. $config_ini['Beitrag']['beitrag_suffix']. '" /></dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Anteiligen Beiträgen kann ein Suffix angehängt werden.</li>
                                    <BR>
                                    <li>
                                        <dl>
                                            <dt><label for="anteilig">Anteilige Beitragsberechnung:</label></dt>
                                            <dd>
                                                <input type="checkbox" id="beitrag_anteilig" name="beitrag_anteilig" ';
                                                if( $config_ini['Beitrag']['beitrag_anteilig'] == 1)
                                                {
                                                    echo ' checked="checked" ';
                                                }
                                                echo ' value="1" />
                                            </dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Soll die anteilige Beitragsberechnung anhand des Beginns einer Rollenzugehörigkeit ermittelt werden, so ist der Haken zu setzen (ohne Haken wird das Beitrittsdatum verwendet).</li>
                                    <BR>
                                    <li>
                                        <dl>
                                            <dt><label for="abrunden">Beiträge abrunden:</label></dt>
                                            <dd>
                                                <input type="checkbox" id="beitrag_abrunden" name="beitrag_abrunden" ';
                                                if( $config_ini['Beitrag']['beitrag_abrunden'] == 1)
                                                {
                                                    echo ' checked="checked" ';
                                                }
                                                echo ' value="1" />
                                            </dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Sollen alle Beiträge zugunsten des Mitglieds abgerundet werden, so ist der Haken zu setzen.</li>
                                    <li>
                                        <dl> 
                                            <dt><label for="mindestberechnungsbetrag">Mindestberechnungsbetrag:</label></dt> 
                                            <dd><input type="text" id="beitrag_mindestbetrag" name="beitrag_mindestbetrag" style="width: 50px;" maxlength="6" value="'.$config_ini['Beitrag']['beitrag_mindestbetrag'].'" /> '.$gPreferences['system_currency'].'</dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Hier kann ein Mindestberechnungsbetrag eingegeben werden. Errechnete Beiträge, die kleiner als dieser Mindestberechnungsbeitrag sind, werden herausgefiltert und nicht in die Datenbank geschrieben.</li>
                                </ul>
                                <br>
                                <div class="formSubmit">	
                                    <button id="btnSave" type="submit" name="beitragseinstellungen"><img src="'. THEME_PATH. '/icons/disk.png" alt="'.$gL10n->get('SYS_SAVE').'" />&nbsp;'.$gL10n->get('SYS_SAVE').'</button>
                                </div>
                            </div>';
                            
                            /**************************************************************************************/
                            // Altersgestaffelte Rollen
                            /**************************************************************************************/

                            echo '<h3 id="Altersgestaffelte Rollen" class="iconTextLink" >
                                <a href="#"><img src="'.THEME_PATH.'/icons/options.png" alt="Altersgestaffelte Rollen" title="Altersgestaffelte Rollen" /></a>
                                <a href="#">Altersgestaffelte Rollen</a>
                            </h3>
                            <div class="groupBoxBody" style="display: none;">
                                <ul class="formFieldList">';

                                    $width = '80px';
                                    $maxlength = '10';
                                    $stichtag = '';

                                    $value2 = '<script type="text/javascript">
                                        var calDate2 = new CalendarPopup("calendardiv2");
                                        calDate2.setCssPrefix("calendar");
                                        calDate2.showNavigationDropdowns();
                                        calDate2.setYearSelectStartOffset(50);
                                        calDate2.offsetX = -220;
                                        calDate2.offsetY = -500;
                                        calDate2.setYearSelectEndOffset(10);
                                    </script>';

                                    $value2 .= '
                                        <input type="text" id="altersrollen_stichtag" name="altersrollen_stichtag" style="width: 80px;" maxlength="10" value="'. $config_ini['Altersrollen']['altersrollen_stichtag']. '" />
                                        <a class="iconLink" id="anchor_stichtag" href="javascript:calDate2.select(document.getElementById(\'altersrollen_stichtag\'),\'anchor_stichtag\',\''.$gPreferences['system_date'].'\');"><img 
                                        src="'. THEME_PATH. '/icons/calendar.png" alt="'.$gL10n->get('SYS_SHOW_CALENDAR').'" title="'.$gL10n->get('SYS_SHOW_CALENDAR').'" /></a>
                                        <span id="calendardiv2" style="position: absolute; visibility: hidden;"></span>';

                                    echo '<li>
                                        <dl>
                                            <dt><label for="stichtag">Stichtag:</label></dt>
                                            <dd>'. $value2.  '</dd>  
                                        </dl>
                                    </li>    
                                    <li class="smallFontSize">Das eingetragene Datum dient als Stichtag für die Einteilung in die altersgestaffelten Rollen.</li> 
                                    <li>
                                        <dl>
                                            <dt><label for="altersrollen_token">Trennzeichen:</label></dt>
                                            <dd><input type="text" id="altersrollen_token" name="altersrollen_token" style="width: 30px;" maxlength="1" value="'. $config_ini['Altersrollen']['altersrollen_token']. '" /></dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Hier ist das Trennzeichen einzugeben, über das in den altersgestaffelten Rollen die Altersangaben extrahiert werden.</li>
                                    <BR><BR>
                                    <li class="smallFontSize">Beispiel für einen Rollennamen: <strong>Mitglieder zwischen *14* und *18* Jahren</strong><BR> --> In diesem Fall wird der Beitrag für Mitglieder im Alter zwischen 14 und 18 Jahren berechnet.</li> 
                                </ul>
                                <div class="formSubmit">	
                                    <button id="btnSave" type="submit" name="altersrollen"><img src="'. THEME_PATH. '/icons/disk.png" alt="'.$gL10n->get('SYS_SAVE').'" />&nbsp;'.$gL10n->get('SYS_SAVE').'</button>
                                </div>
                            </div>';

                            /**************************************************************************************/
                            // Familienrollen
                            /**************************************************************************************/

                            echo '<h3 id="Familienrollen" class="iconTextLink" >
                                <a href="#"><img src="'.THEME_PATH.'/icons/options.png" alt="Familienrollen" title="Familienrollen" /></a>
                                <a href="#">Familienrollen</a>
                            </h3>
                            <div class="groupBoxBody" style="display: none;">
                                <ul class="formFieldList">
                                    <li>
                                        <dl>
                                            <dt><label for="familienrollen_prefix">Präfix:</label></dt>
                                            <dd><input type="text" id="familienrollen_prefix" name="familienrollen_prefix" style="width: 50px;" maxlength="20" value="'. $config_ini['Familienrollen']['familienrollen_prefix']. '" /></dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Hier ist das Präfix für Familienrollen einzugeben. Über diesen Wert werden alle Familienrollen identifiziert. (Achtung: Führende bzw nachfolgende Leerzeichen werden nicht berücksichtigt).</li>
                                    <li>
                                        <dl> 
                                            <dt><label for="familienbeitrag">Beitrag:</label></dt> 
                                            <dd><input type="text" id="familienrollen_beitrag" name="familienrollen_beitrag" style="width: 50px;" maxlength="6" value="'.$config_ini['Familienrollen']['familienrollen_beitrag'].'" /> '.$gPreferences['system_currency'].'</dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Wird ein neuer Betrag eingegeben, so wird in allen Familienrollen, d.h. Rollen mit dem Präfix <strong>'. $config_ini['Familienrollen']['familienrollen_prefix'].'</strong>, der neue Beitrag gesetzt.</li>
                                    <li>
                                        <dl>
                                            <dt><label>Beitragszeitraum:</label></dt>
                                            <dd>
                                                <select name="familienrollen_zeitraum" size="5">';                     
                                                    $period = array('--',-1,1,2,4,12);
                                                    foreach ($period as $key) 
                                                    {
                                                        echo '<option value='.$key;
                                                        if($key == $config_ini['Familienrollen']['familienrollen_zeitraum'])
                                                        {
                                                            echo ' selected="selected" ';	
                                                        } 
                                                        echo '>'.getCostPeriod($key).'</option>';		
                                                    }  
                                                echo '</select>              
                                            </dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Wird ein neuer Betragszeitraum eingegeben, so wird in allen Familienrollen, d.h. Rollen mit dem Präfix <strong>'. $config_ini['Familienrollen']['familienrollen_prefix'].'</strong>, der neue Beitragszeitraum gesetzt.</li>
                                    <li>
                                        <dl> 
                                            <dt><label for="familienbeschreibung">Beschreibung:</label></dt> 
                                            <dd><input type="text" id="familienrollen_beschreibung" name="familienrollen_beschreibung" style="width: 200px;" maxlength="50" value="'.$config_ini['Familienrollen']['familienrollen_beschreibung'].'" /></dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Wird eine neue Beschreibung eingegeben, so wird in allen Familienrollen, d.h. Rollen mit dem Präfix <strong>'. $config_ini['Familienrollen']['familienrollen_prefix'].'</strong>, die neue Beschreibung gesetzt.</li>
                                </ul>
                                <br>
                                <div class="formSubmit">	
                                    <button id="btnSave" type="submit" name="familienrollen"><img src="'. THEME_PATH. '/icons/disk.png" alt="'.$gL10n->get('SYS_SAVE').'" />&nbsp;'.$gL10n->get('SYS_SAVE').'</button>
                                </div>
                            </div>';

                            /**************************************************************************************/
                            // DTA-Export
                            /**************************************************************************************/

                            echo '<h3 id="DTA-Export" class="iconTextLink" >
                                <a href="#"><img src="'.THEME_PATH.'/icons/options.png" alt="DTA-Export" title="DTA-Export" /></a>
                                <a href="#">DTA-Export</a>
                            </h3>
                            <div class="groupBoxBody" style="display: none;">
                                <ul class="formFieldList">  		
                                    <li>
                                        <dl>
                                            <dt><label for="Kontonummer">Kontonummer:</label></dt>
                                            <dd><input type="text" id="target_ktonr" name="target_ktonr" style="width: 200px;" maxlength="60" value="'. $config_ini['DTA-Export']['target_ktonr']. '" />*</dd>
                                        </dl>
                                    </li>
                                    <li>
                                        <dl>
                                            <dt><label for="Bankleitzahl">Bankleitzahl:</label></dt>
                                            <dd><input type="text" id="target_blz" name="target_blz" style="width: 200px;" maxlength="60" value="'. $config_ini['DTA-Export']['target_blz']. '" />*</dd>
                                        </dl>
                                    </li>
                                    <li>
                                        <dl>
                                            <dt><label for="Bank">Bank:</label></dt>
                                            <dd><input type="text" id="target_bank" name="target_bank" style="width: 200px;" maxlength="60" value="'. $config_ini['DTA-Export']['target_bank']. '" /></dd>
                                        </dl>
                                    </li>
                                    <li>
                                        <dl>
                                            <dt><label for="Kontoinhaber">Kontoinhaber:</label></dt>
                                            <dd><input type="text" id="target_inhaber" name="target_inhaber" style="width: 200px;" maxlength="60" value="'. $config_ini['DTA-Export']['target_inhaber']. '" />*</dd>
                                        </dl>
                                    </li> 
                                    <li class="smallFontSize">Anzugeben sind die Kontodaten des Empfängers; * = Pflichteinträge</li>
                                    <li>
                                        <dl>
                                            <dt><label for="DTA-Dateiname">DTA-Dateiname:</label></dt>
                                            <dd><input type="text" id="dta_dateiname" name="dta_dateiname" style="width: 200px;" maxlength="60" value="'. $config_ini['DTA-Export']['dta_dateiname']. '" /></dd>
                                            </dl>
                                    </li> 
                                </ul>
                                <br>
                                <div class="formSubmit">	
                                    <button id="btnSave" type="submit" name="dta-export-setup"><img src="'. THEME_PATH. '/icons/disk.png" alt="'.$gL10n->get('SYS_SAVE').'" />&nbsp;'.$gL10n->get('SYS_SAVE').'</button>
                                </div>
                            </div>';

                            /**************************************************************************************/
                            // Rollenprüfung
                            /**************************************************************************************/

                            echo '<h3 id="Rollenprüfung" class="iconTextLink" >
                                <a href="#"><img src="'.THEME_PATH.'/icons/options.png" alt="Rollenprüfung" title="Rollenprüfung" /></a>
                                <a href="#">Rollenprüfung</a>
                            </h3>
                            <div class="groupBoxBody" style="display: none;">
                                <ul class="formFieldList">  
                                    <BR>
                                    <li>Die nachfolgenden Einstellungen dienen nur als Parameter für die Rollenprüfung. Sie wirken sich nicht auf die Beitragsberechnung aus.</li>
                                    <BR>
                                    <li>
                                        <dl>
                                            <dt><label for="Altersgrenze">Altersgrenze:</label></dt>
                                            <dd><input type="text" id="familienrollen_bis_alter" name="familienrollen_bis_alter" style="width: 30px;" maxlength="3" value="'. $config_ini['Rollenpruefung']['familienrollen_bis_alter']. '" /> Jahre</dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Hier sind die Altersgrenzen einzugeben, bis zu der Familienmitglieder überprüft werden. Bei Vorhandensein einer Seniorenrolle (z.B. ab 60) ist es evtl. günstiger einer Familie aufzusplitten und die Beiträge für jedes Mitglied einzeln abzurechnen.</li>
                                    <BR>
                                    <li>
                                        <dl>
                                            <dt><label for="Mindestanzahl">Mindestanzahl:</label></dt>
                                            <dd><input type="text" id="familienrollen_min_member" name="familienrollen_min_member" style="width: 30px;" maxlength="3" value="'. $config_ini['Rollenpruefung']['familienrollen_min_member']. '" /> Mitglied/Mitglieder</dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Hier ist die Mindestanzahl von Familienmitgliedern einzugeben. Eine Familie sollte mindestens zwei Mitglieder aufweisen, da der Einzelbeitrag für ein Mitglied sicher günstiger als ein Familienbeitrag ist.</li>
                                    <li>
                                        <dl> 
                                            <dt><label for="Erwachsene">Erwachsene:</label></dt> 
                                            <dd>Min <input type="text" id="familienrollen_min18_member" name="familienrollen_min18_member" style="width: 30px;" maxlength="2" value="'.$config_ini['Rollenpruefung']['familienrollen_min18_member'].'" /> und Max <input type="text" id="familienrollen_max18_member" name="familienrollen_max18_member" style="width: 30px;" maxlength="2" value="'.$config_ini['Rollenpruefung']['familienrollen_max18_member'].'" /></dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Hier ist Min- und Max-Anzahl von Erwachsenen einer Familie einzugeben. 
                                    <BR>Mögliche Werte wären z.B. 1 für Min und 2 für Max, was bedeutet, daß 
                                    <BR>1. eine Familie mindestens einen Erwachsenen aufweisen muß und nicht nur aus Kindern und Jugendlichen bestehen darf
                                    <BR>2. eine Familie maximal zwei Erwachsene aufweisen darf (Vater und Mutter) und nicht das gerade volljährig gewordene Kind.</li>';
                                    
                                    $familienrollen = beitragsrollen_einlesen('fam');
                                    $altersrollen = beitragsrollen_einlesen('alt');
                                    $fixrollen = beitragsrollen_einlesen('fix');
                                    echo'<BR><BR>Rollenmitgliedschaften (Pflicht):<BR>
                                    <BR>';
                                    if ((sizeof($altersrollen)>0) || (sizeof($familienrollen)>0) || (sizeof($fixrollen)>0)) 
                                    {
                                        echo'<div style="width:100%; height:150px; overflow:auto; border:0px;">
                                            <table border="0">';
                                                if (sizeof($altersrollen)>0)                   
                                                {
                                                    echo'<tr>
                                                        <td>Altersgestaffelte Rollen</td>
                                                        <td>
                                                            <input type="checkbox" id="altersrollenpflicht" name="altersrollenpflicht" ';
                                                            if( $config_ini['Rollenpruefung']['altersrollenpflicht'] == 1)
                                                            {
                                                                echo ' checked="checked" ';
                                                            }
                                                            echo ' value="1" /></td>
                                                    </tr>';  
                                                }
                                                if (sizeof($familienrollen)>0)                   
                                                {
                                                    echo'<tr>
                                                        <td>Familienrollen</td>
                                                        <td>
                                                            <input type="checkbox" id="familienrollenpflicht" name="familienrollenpflicht" ';
                                                            if( $config_ini['Rollenpruefung']['familienrollenpflicht'] == 1)
                                                            {
                                                                echo ' checked="checked" ';
                                                            }
                                                            echo ' value="1" /></td>
                                                    </tr>';  
                                                    
                                                }
                                                if (sizeof($fixrollen)>0)     
                                                {
                                                    foreach($fixrollen as $key => $data)
                                                    {
                                                        echo'<tr>
                                                            <td>'.$data['rolle'].'</td>
                                                            <td>
                                                                <input type="checkbox" id="fixrollenpflicht'.$key.'" name="fixrollenpflicht'.$key.'" ';
                                                                if( (is_array($config_ini['Rollenpruefung']['fixrollenpflicht'])) && in_array($key,$config_ini['Rollenpruefung']['fixrollenpflicht']))
                                                                {
                                                                    echo ' checked="checked" ';
                                                                }
                                                                echo ' value="1" />
                                                            </td>
                                                        </tr>';  
                                                    } 
                                                }
                                                
                                            echo '</table>
                                        </div> ';
                                    }
                                    else
                                    {
                                        echo 'keine Beitragsrollen vorhanden<BR>';
                                    }
                                    echo'<li class="smallFontSize">Welchen Beitragsrollen muß ein Mitglied mindestens angehören (ODER-Verknüpfung)?<BR>Alle möglichen Rollen sind zu markieren.</li>';
                                    echo'<BR><BR>Rollenmitgliedschaften (Ausschluss):<BR>
                                    <BR>';
                                    if (((sizeof($altersrollen)>0) && (sizeof($familienrollen)>0)) || ((sizeof($altersrollen)>0) && (sizeof($fixrollen)>0)) || ((sizeof($familienrollen)>0) && (sizeof($fixrollen)>0))) 
                                    {
                                        echo'<div style="width:100%; height:150px; overflow:auto; border:0px;">
                                            <table border="0">';
                                                if ((sizeof($altersrollen)>0) && (sizeof($familienrollen)>0))                     
                                                {
                                                    echo'<tr>
                                                        <td>Altersgestaffelte Rollen ./. Familienrollen</td>
                                                        <td>
                                                            <input type="checkbox" id="altersrollenfamilienrollen" name="altersrollenfamilienrollen" ';
                                                            if( $config_ini['Rollenpruefung']['altersrollenfamilienrollen'] == 1)
                                                            {
                                                                echo ' checked="checked" ';
                                                            }
                                                            echo ' value="1" /></td>
                                                    </tr>';  
                                                }
                                                if ((sizeof($altersrollen)>0) && (sizeof($fixrollen)>0))                     
                                                {
                                                    foreach($fixrollen as $key => $data)
                                                    {
                                                        echo'<tr>
                                                            <td>Altersgestaffelte Rollen ./. '.$data['rolle'].'</td>
                                                            <td>
                                                                <input type="checkbox" id="altersrollenfix'.$key.'" name="altersrollenfix'.$key.'" ';
                                                                if ( (is_array($config_ini['Rollenpruefung']['altersrollenfix']))&& (in_array($key,$config_ini['Rollenpruefung']['altersrollenfix'])))
                                                                {
                                                                    echo ' checked="checked" ';
                                                                }
                                                                echo ' value="1" />
                                                            </td>
                                                        </tr>';  
                                                    } 
                                                }
                                                if ((sizeof($familienrollen)>0) && (sizeof($fixrollen)>0))                    
                                                {
                                                    foreach($fixrollen as $key => $data)
                                                    {
                                                        echo'<tr>
                                                            <td>Familienrollen ./. '.$data['rolle'].'</td>
                                                            <td>
                                                                <input type="checkbox" id="familienrollenfix'.$key.'" name="familienrollenfix'.$key.'" ';
                                                                if ((is_array($config_ini['Rollenpruefung']['familienrollenfix'])) && (in_array($key,$config_ini['Rollenpruefung']['familienrollenfix'])))
                                                                {
                                                                    echo ' checked="checked" ';
                                                                }
                                                                echo ' value="1" />
                                                            </td>
                                                        </tr>';  
                                                    } 
                                                }
                                            echo '</table>
                                        </div> ';
                                    }
                                    else
                                    {
                                        echo 'keine entprechenden Rollenkombinationen vorhanden<BR>';
                                    }
                                    echo'<li class="smallFontSize">Welche Rollenmitgliedschaften sollen sich gegenseitig ausschließen?</li>
                                </ul>
                                <br>
                                <div class="formSubmit">	
                                    <button id="btnSave" type="submit" name="rollenpruefung"><img src="'. THEME_PATH. '/icons/disk.png" alt="'.$gL10n->get('SYS_SAVE').'" />&nbsp;'.$gL10n->get('SYS_SAVE').'</button>
                                </div>
                            </div>';

                            /**************************************************************************************/
                            // Pluginfreigabe
                            /**************************************************************************************/

                            echo '<h3 id="Pluginfreigabe" class="iconTextLink" >
                                <a href="#"><img src="'.THEME_PATH.'/icons/lock.png" alt="Pluginfreigabe" title="Pluginfreigabe" /></a>
                                <a href="#">Pluginfreigabe</a>
                            </h3>
                            <div class="groupBoxBody" style="display: none;">
                                <ul class="formFieldList">  
                                    <li>
                                        <dl>
                                            <dt><label>Rollenauswahl:</label></dt>
                                            <dd>
                                                <select name="freigabe[]" size="10" multiple>';                     
                                                    $freigegebene_rollen = '';
                                                    $rollen = array();
                                                    $sql = 'SELECT rol.rol_name, rol.rol_id, cat.cat_name
                                                        FROM '.TBL_CATEGORIES.' as cat, '.TBL_ROLES.' as rol
                                                        WHERE cat.cat_id = rol.rol_cat_id';
                                                    $result = $gDb->query($sql);

                                                    while ($row = $gDb->fetch_array($result))
                                                    {
                                                        $rollen[$row['rol_id']] = array(cat => $row['cat_name'],rol => $row['rol_name']);
                                                    }

                                                    $cat_old = '';
                                                    $freigegebene_rollen = array();
                                                    foreach($rollen as $key => $data)
                                                    {
                                                        if ($cat_old != $data['cat'])
                                                        {
                                                            echo '<option value="" disabled="disabled">'.$data['cat'].':</option>';	
                                                        }
                                                        echo '<option value='.$key;

                                                        if(in_array($key,$config_ini['Pluginfreigabe']['freigabe']))
                                                        {
                                                            echo ' selected="selected"';	
                                                            $freigegebene_rollen[] = $data['rol']; 
                                                        } 
                                                        echo '>'.$data['rol'].'</option>';	
                                                        $cat_old = $data['cat'];
                                                    }
                                                echo '</select>              
                                            </dd>
                                        </dl>
                                    </li>
                                    <li class="smallFontSize">Wähle die Rollen aus, deren Mitglieder das Plugin aufrufen dürfen. Eine Mehrfachauswahl ist über die STRG-Taste möglich.</li>
                                    <BR><BR>
                                    <li class="smallFontSize">Folgende Rollen sind derzeit berechtigt: ';
                                        foreach ($freigegebene_rollen as $data )
                                        {
                                            echo '<BR>- '.$data;
                                        }
                                    echo'</li>
                                </ul>
                                <br>
                                <div class="formSubmit">	
                                    <button id="btnSave" type="submit" name="pluginfreigabe"><img src="'. THEME_PATH. '/icons/disk.png" alt="'.$gL10n->get('SYS_SAVE').'" />&nbsp;'.$gL10n->get('SYS_SAVE').'</button>
                                </div>
                            </div>';

                            /**************************************************************************************/
                            // Plugininformationen
                            /**************************************************************************************/

                            echo '<h3 id="Plugininformationen" class="iconTextLink" >
                                <a href="#"><img src="'.THEME_PATH.'/icons/info.png" alt="Plugininformationen" title="Plugininformationen" /></a>
                                <a href="#">Plugininformationen</a>
                            </h3>
                            <div class="groupBoxBody" style="display: none;">
                                <ul class="formFieldList">         
                                    <li>
                                        <dl>
                                            <dt><label for="Name des Plugins">Name des Plugins:</label></dt>
                                            <dd><label for="">'.$config_ini['Plugininformationen']['plgin_mb_name'].'</label></dd>
                                        </dl>
                                    </li>
                                    <li>
                                        <dl>
                                            <dt><label for="Version">Version:</label></dt>
                                            <dd><label for="">'.$config_ini['Plugininformationen']['plgin_mb_version'].'</label></dd>
                                        </dl>
                                    </li>
                                    <li>
                                        <dl>
                                            <dt><label for="Stand">Stand:</label></dt>
                                            <dd><label for="">'.$config_ini['Plugininformationen']['plgin_mb_stand'].'</label></dd>
                                        </dl>
                                    </li>
                                </ul>
                                <br>
                            </div>';

                        // ENDE accordion-modules
                        echo'</div>
                    </div>
                </div>
            </form>
        </div>
    </div>';

    require(SERVER_PATH. '/adm_program/system/overall_footer.php');
}
?>