<?php
/******************************************************************************
 * 
 * rechnung-export.php
 *   
 * Rechnungs-Export fuer das Admidio-Plugin Mitgliedsbeitrag
 * 
 * Copyright    : (c) Günter Scheuermann
 * License      : GNU Public License 2 http://www.gnu.org/licenses/gpl-2.0.html
 * 
 ****************************************************************************/

// Pfad des Plugins ermitteln
$plugin_folder_pos = strpos(__FILE__, 'adm_plugins') + 11;
$plugin_file_pos   = strpos(__FILE__, basename(__FILE__));
$plugin_folder     = substr(__FILE__, $plugin_folder_pos+1, $plugin_file_pos-$plugin_folder_pos-2);

if(!defined('PLUGIN_PATH'))
{
    define('PLUGIN_PATH', substr(__FILE__, 0, $plugin_folder_pos));
}

require_once(PLUGIN_PATH. '/'.$plugin_folder.'/common_function.php');
require_once(PLUGIN_PATH. '/'.$plugin_folder.'/DTA.php');

global $switch;

$config_ini = parse_ini_file('config.ini',true);

$dta_file = new DTA(DTA_DEBIT);
    
$dta_file->setAccountFileSender(
    array(
        "name"           => $config_ini['DTA-Export']['target_inhaber'],
        "bank_code"      => $config_ini['DTA-Export']['target_blz'],
        "account_number" => $config_ini['DTA-Export']['target_ktonr']
    )
);
    
//alle Mitglieder einlesen
$members = list_members(array('FIRST_NAME','LAST_NAME','ADDRESS','POSTCODE','CITY','EMAIL','BEITRAG','BEITRAGSTEXT','BEZAHLT','KONTONUMMER','BANKLEITZAHL','KONTOINHABER'), 0)  ;

//alle Mitglieder durchlaufen und aufgrund von Rollenzugehörigkeiten die Beiträge bestimmen
$rechnungs_file[]=array();
$i=0;
foreach ($members as $member => $memberdata){
    if (!empty($memberdata['BEITRAG']) && empty($memberdata['BEZAHLT']) && !empty($memberdata['BEITRAGSTEXT']) && empty($memberdata['KONTONUMMER']) && empty($memberdata['BANKLEITZAHL']) )
    {
        if (empty($memberdata['KONTOINHABER']))
        {  
            $members[$member]['KONTOINHABER'] = $memberdata['FIRST_NAME'].' '.$memberdata['LAST_NAME'] ;
        }
        $rechnungs_file[$i] = array(
                "name"           => $members[$member]['KONTOINHABER'],     // Name of account owner.
                "adress"      => $members[$member]['ADDRESS'],
                "postcode"      => $members[$member]['POSTCODE'],
                "city"      => $members[$member]['CITY'],
                "email"      => $members[$member]['EMAIL'],
                "beitrag"      => $members[$member]['BEITRAG'],
                "beitragstext"      => $members[$member]['BEITRAGSTEXT'],
        );
        $i+=1;
    }
}
    

//echo("SWITCH= $switch");

if ($switch=='rechnungs-datei')
{
    // Dateityp, der immer abgespeichert wird
    header("Content-Type: application/octet-stream");

    // noetig fuer IE, da ansonsten der Download mit SSL nicht funktioniert
    header('Cache-Control: private');

    // Im Grunde ueberfluessig, hat sich anscheinend bewährt
    header("Content-Transfer-Encoding: binary");

    // Zwischenspeichern auf Proxies verhindern
    header("Cache-Control: post-check=0, pre-check=0");
    header('Content-Disposition: attachment; filename="'.$config_ini['Rechnungs-Export']['rechnung_dateiname'].'"');

    /* ###### HIER WIRD DER INHALT ERZEUGT ##################
        echo  $rechnungs_file->getFileContent();
    */
    echo("name;adress;plz;ort;email;beitrag;beitragstext\n");
    //print_r($rechnungs_file);
    for ($x = 0; $x < (count($rechnungs_file)-1); $x++){
      echo
         utf8_decode($rechnungs_file[$x]['name']).";"
        .utf8_decode($rechnungs_file[$x]['adress']).";"
        .utf8_decode($rechnungs_file[$x]['postcode']).";"
        .utf8_decode($rechnungs_file[$x]['city']).";"
        .utf8_decode($rechnungs_file[$x]['email']).";"
        .utf8_decode($rechnungs_file[$x]['beitrag']).";"
        .utf8_decode($rechnungs_file[$x]['beitragstext'])
        ."\n";
    }

//########################################################
    exit;  
} 

?>